<?php

class User {

    public $id;
    public $username;
    private $password;

    public function __construct($id, $username, $password) {
        $this->id = $id;
        $this->username = $username;
        $this->password = $password;
    }

    public static function from_array($array) {
        return new User($array['id'], $array['username'], $array['password']);
    }

    public function password_is_valid($password) {
        return password_verify($password, $this->password);
    }

}
