<?php

// controllers/Users.php

class Users extends Controller {

    public function users_new() {
        $this->loader->load('users_new');
    }

    public function users_create() {
        try {
            $username = filter_input(INPUT_POST, 'username');
            $password = filter_input(INPUT_POST, 'password');
            $user = $this->users->create_user($username, $password);
            $this->sessions->login($user);
            $this->loader->redirect('/users/hello.php');
        } catch (Exception $e) {
            $data = ['error' => $e->getMessage()];
            $this->loader->load('users_new', $data);
        }
    }

}
